#!/bin/sh

ARCH=arm-mingw32ce
MINGW32CE=/opt/mingw32ce

export PATH=${MINGW32CE}/bin:${MINGW32CE}/${ARCH}/bin:$PATH

export CC=${ARCH}-gcc
export CXX=${ARCH}-g++
export CPP=${ARCH}-cpp
export AR=${ARCH}-ar
export AS=${ARCH}-as
export LD=${ARCH}-ld
export RANDLIB=${ARCH}-randlib
export STRIP=${ARCH}-strip
export WINDRES=${ARCH}-windres

export CFLAGS="-mcpu=arm920t -O2 \
	-D_GNU_SOURCE=1 -D_WIN32_WCE=420 \
	-I${MINGW32CE}/${ARCH}/include"

export LDFLAGS="-L${MINGW32CE}/${ARCH}/lib"

make clean
make
