#!/bin/sh

CONFIG_SHELL=/bin/sh
export CONFIG_SHELL
PREFIX=/opt/mingw32ce
TARGET=arm-mingw32ce
PATH="$PREFIX/bin:$PREFIX/$TARGET/bin:$PREFIX/unix:/usr/local/bin:/bin:/usr/bin:"
#PATH="$PATH:$PREFIX/bin:$PREFIX/$TARGET/bin:$PREFIX/unix:/usr/local/bin:/bin:/usr/bin:"
export PATH
if [ -f "$PREFIX/$TARGET/bin/sdl-config" ]; then
    SDL_CONFIG="$PREFIX/$TARGET/bin/sdl-config"
    export SDL_CONFIG
fi
cache=cross-config.cache
sh autogen.sh --host=$TARGET
CFLAGS="-I/opt/mingw32ce/arm-mingw32ce/include \
     -march=armv4t -Os -DUNDER_CE -D_WIN32_WCE" \
LDFLAGS="-L/opt/mingw32ce/arm-mingw32ce/lib" \
sh configure --cache-file="$cache" \
	--target=$TARGET --host=$TARGET --build=`uname -m`-pc-linux-gnu \
    $*
status=$?
rm -f "$cache"
exit $status
